Bug 1913196 - Guided Tour doesn't handle resizing of browser
Summary: Guided Tour doesn't handle resizing of browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.7
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: ---
: 4.7.0
Assignee: Sahil Budhwar
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-01-06 08:53 UTC by Sahil Budhwar
Modified: 2021-02-24 15:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:50:15 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift console pull 7718 0 None closed Bug 1913196: handle resizing of browser for guided tour 2021-01-18 07:41:07 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:50:37 UTC

Description Sahil Budhwar 2021-01-06 08:53:04 UTC
Description of problem:
When resizing the window in the middle of the guided tour, the spotlight area fails to move with the modal.

Prerequisites (if any, like setup, operators/versions):
None

Steps to Reproduce
Open Guided Tour (ie. masthead "?" => "Guided Tour")
Navigate to the 4th screen that highlights the masthead icon
Resize the browser horizontally
Actual results:
The spot light area has moved way from the modal


Expected results:
The two to stay aligned

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
Latest master, bff9810706c8a017371df76905eb5bad1bdb1a82

Comment 2 Vikram Raj 2021-01-18 07:41:35 UTC
Verified on cluster build 4.7.0-0.nightly-2021-01-17-211555 and it works as expected.
Browser: Chrome and Firefox

marking it as Verified.

Comment 5 errata-xmlrpc 2021-02-24 15:50:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.